# Class Tile3D

#### Hierarchy (View Summary)

- Object3D
  - Tile3D
    - ViewLayer

- Defined in lib/five/model/tile3d/index.ts:112

##### Index

### Constructors

constructor

### Properties

autoRefine
boundingBox
coordinateSystem
error?
fetcher
frameNumber
groundHeight
light
loaded
onError?
onTileLoad?
onTileUnload?
parameter
parent
refined
refineProgress
search
tileset
type
upAxis

### Accessors

coordinates
loadSiblings
maxGeometricError
maxLevelOfDetail
maxMemoryUsage
maxRequests
maxScreenSpaceError
minGeometricError
minLevelOfDetail
model
mostDetail
panoramaMinGeometricError
requestOrder
scene
skipLevelOfDetail
tiles
trajectories
viewerRequestVolume
viewLayer

### Methods

coordinatesToWorldPoint
dispose
ecefToEnu
ecefToLocal
ecefToWorld
enuToEcef
enuToLocal
enuToWorld
getRecommendProps
getTransformMatrix4
intersectRaycaster
llaToLocal
llaToWorld
loadAllTilesets
loadContent
loadTrajectory
localToEcef
localToEnu
localToLla
resetBrightness
unloadContent
unloadTrajectory
update
worldPointToCoordinates
worldToEcef
worldToEnu
worldToLla

## Constructors

### constructor

- new Tile3D(tilesetHeader: TilesetHeader, options: Tile3DOptions): Tile3D

  #### Parameters

  - tilesetHeader: TilesetHeader
  - options: Tile3DOptions

  #### Returns Tile3D

  Overrides THREE.Object3D.constructor

  - Defined in lib/five/model/tile3d/index.ts:161

## Properties

### autoRefine

autoRefine: boolean

- Defined in lib/five/model/tile3d/index.ts:146

### boundingBox

boundingBox: Box3

- Defined in lib/five/model/tile3d/index.ts:145

### coordinateSystem

coordinateSystem: TileCoordinateSystem

- Defined in lib/five/model/tile3d/index.ts:141

### `Optional` error

error?: Error | null

meta 信息加载错误

- Defined in lib/five/model/tile3d/index.ts:119

### fetcher

fetcher: Fetcher

- Defined in lib/five/model/tile3d/index.ts:137

### frameNumber

frameNumber: number

更新帧次数

- Defined in lib/five/model/tile3d/index.ts:131

### groundHeight

groundHeight: number | null

- Defined in lib/five/model/tile3d/index.ts:140

### light

light: boolean

- Defined in lib/five/model/tile3d/index.ts:135

### loaded

loaded: boolean

- Defined in lib/five/model/tile3d/index.ts:149

### `Optional` onError

onError?: (error: Error) => void

加载错误

- Defined in lib/five/model/tile3d/index.ts:122

### `Optional` onTileLoad

onTileLoad?: (tile: Tile) => void

当瓦片加载

- Defined in lib/five/model/tile3d/index.ts:125

### `Optional` onTileUnload

onTileUnload?: (tile: Tile) => void

当瓦片卸载

- Defined in lib/five/model/tile3d/index.ts:128

### parameter

parameter: Parameter = ...

- Defined in lib/five/model/tile3d/index.ts:133

### parent

parent: Model | null

Object's parent in the scene graph.

Overrides THREE.Object3D.parent

- Defined in lib/five/model/tile3d/index.ts:116

### refined

refined: boolean

- Defined in lib/five/model/tile3d/index.ts:147

### refineProgress

refineProgress: [number, number]

- Defined in lib/five/model/tile3d/index.ts:148

### search

search: string

- Defined in lib/five/model/tile3d/index.ts:138

### tileset

tileset: Tileset

- Defined in lib/five/model/tile3d/index.ts:143

### type

type: "point_cloud" | "mesh" | "gaussian_splatting"

Overrides THREE.Object3D.type

- Defined in lib/five/model/tile3d/index.ts:114

### upAxis

upAxis: string

- Defined in lib/five/model/tile3d/index.ts:136

## Accessors

### coordinates

- get coordinates(): string

  #### Returns string

  #### Deprecated

  使用 localToLla(new THREE.Vector()) 替代

  - Defined in lib/five/model/tile3d/index.ts:865

### loadSiblings

- get loadSiblings(): boolean

  #### Returns boolean

  #### Deprecated

  use `.parameter.loadSiblings` `.parameter.set('loadSiblings', loadSiblings)` instend

  - Defined in lib/five/model/tile3d/index.ts:1039
- set loadSiblings(value: boolean): void

  #### Parameters

  - value: boolean

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:1049

### maxGeometricError

- get maxGeometricError(): number

  #### Returns number

  #### Deprecated

  use `.parameter.maxGeometricError` `.parameter.set('maxGeometricError', maxGeometricError)` instend

  - Defined in lib/five/model/tile3d/index.ts:967
- set maxGeometricError(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:977

### maxLevelOfDetail

- get maxLevelOfDetail(): number

  #### Returns number

  #### Deprecated

  use `.parameter.maxLevelOfDetail` `.parameter.set('maxLevelOfDetail', maxLevelOfDetail)` instend

  - Defined in lib/five/model/tile3d/index.ts:931
- set maxLevelOfDetail(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:941

### maxMemoryUsage

- get maxMemoryUsage(): number

  #### Returns number

  #### Deprecated

  use `.parameter.maxMemoryUsage` `.parameter.set('maxMemoryUsage', maxMemoryUsage)` instend

  - Defined in lib/five/model/tile3d/index.ts:1057
- set maxMemoryUsage(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:1067

### maxRequests

- get maxRequests(): number

  #### Returns number

  #### Deprecated

  use `.parameter.maxRequests` `.parameter.set('maxRequests', maxRequests)` instend

  - Defined in lib/five/model/tile3d/index.ts:1075
- set maxRequests(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:1085

### maxScreenSpaceError

- get maxScreenSpaceError(): number

  #### Returns number

  #### Deprecated

  use `.parameter.maxScreenSpaceError` `.parameter.set('maxScreenSpaceError', maxScreenSpaceError)` instend

  - Defined in lib/five/model/tile3d/index.ts:1111
- set maxScreenSpaceError(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:1121

### minGeometricError

- get minGeometricError(): number

  #### Returns number

  #### Deprecated

  use `.parameter.minGeometricError` `.parameter.set('minGeometricError', minGeometricError)` instend

  - Defined in lib/five/model/tile3d/index.ts:949
- set minGeometricError(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:959

### minLevelOfDetail

- get minLevelOfDetail(): number

  #### Returns number

  #### Deprecated

  use `.parameter.minLevelOfDetail` `.parameter.set('minLevelOfDetail', minLevelOfDetail)` instend

  - Defined in lib/five/model/tile3d/index.ts:913
- set minLevelOfDetail(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:923

### model

- get model(): Model | null

  #### Returns Model | null

  #### Deprecated

  use this.parent instead.

  - Defined in lib/five/model/tile3d/index.ts:783

### mostDetail

- get mostDetail(): boolean

  #### Returns boolean

  #### Deprecated

  use `.parameter.mostDetail` `.parameter.set('mostDetail', mostDetail)` instend

  - Defined in lib/five/model/tile3d/index.ts:1021
- set mostDetail(value: boolean): void

  #### Parameters

  - value: boolean

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:1031

### panoramaMinGeometricError

- get panoramaMinGeometricError(): number

  #### Returns number

  #### Deprecated

  use `.parameter.panoramaMinGeometricError` `.parameter.set('panoramaMinGeometricError', panoramaMinGeometricError)` instend

  - Defined in lib/five/model/tile3d/index.ts:985
- set panoramaMinGeometricError(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:995

### requestOrder

- get requestOrder(): TileRequestOrder

  #### Returns TileRequestOrder

  #### Deprecated

  use `.parameter.requestOrder` `.parameter.set('requestOrder', requestOrder)` instend

  - Defined in lib/five/model/tile3d/index.ts:1093
- set requestOrder(value: TileRequestOrder): void

  #### Parameters

  - value: TileRequestOrder

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:1103

### scene

- get scene(): this

  #### Returns this

  #### Deprecated

  it's self

  - Defined in lib/five/model/tile3d/index.ts:791

### skipLevelOfDetail

- get skipLevelOfDetail(): boolean

  #### Returns boolean

  #### Deprecated

  use `.parameter.skipLevelOfDetail` `.parameter.set('skipLevelOfDetail', skipLevelOfDetail)` instend

  - Defined in lib/five/model/tile3d/index.ts:1003
- set skipLevelOfDetail(value: boolean): void

  #### Parameters

  - value: boolean

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:1013

### tiles

- get tiles(): Tile[]

  #### Returns Tile[]

  - Defined in lib/five/model/tile3d/index.ts:246

### trajectories

- get trajectories(): Trajectory[]

  #### Returns Trajectory[]

  - Defined in lib/five/model/tile3d/index.ts:250

### viewerRequestVolume

- get viewerRequestVolume(): BoundingVolume | undefined

  #### Returns BoundingVolume | undefined

  - Defined in lib/five/model/tile3d/index.ts:238
- set viewerRequestVolume(value: BoundingVolume | undefined): void

  #### Parameters

  - value: BoundingVolume | undefined

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:242

### viewLayer

- get viewLayer(): this

  #### Returns this

  #### Deprecated

  it's self

  - Defined in lib/five/model/tile3d/index.ts:799

## Methods

### coordinatesToWorldPoint

- coordinatesToWorldPoint(
  coordinates: { altitude: number; latitude: number; longitude: number },
  ): Vector3

  #### Parameters

  - coordinates: { altitude: number; latitude: number; longitude: number }

  #### Returns Vector3

  #### Deprecated

  使用 llaToWorld 替代

  - Defined in lib/five/model/tile3d/index.ts:886

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/model/tile3d/index.ts:752

### ecefToEnu

- ecefToEnu(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:817

### ecefToLocal

- ecefToLocal(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:825

### ecefToWorld

- ecefToWorld(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:849

### enuToEcef

- enuToEcef(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:813

### enuToLocal

- enuToLocal(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:809

### enuToWorld

- enuToWorld(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:841

### getRecommendProps

- getRecommendProps(
  options?: { powerPreference?: "high" | "default" },
  ): {
  maxScreenSpaceError: number;
  pointMinPixel: number;
  pointScale: number;
  }

  #### Parameters

  - options: { powerPreference?: "high" | "default" } = {}

  #### Returns { maxScreenSpaceError: number; pointMinPixel: number; pointScale: number }

  - Defined in lib/five/model/tile3d/index.ts:254

### getTransformMatrix4

- getTransformMatrix4(target?: Matrix4): Matrix4

  #### Parameters

  - target: Matrix4 = ...

  #### Returns Matrix4

  #### Deprecated

  使用 coordinateSystem 替代

  - Defined in lib/five/model/tile3d/index.ts:875

### intersectRaycaster

- intersectRaycaster(
  raycaster: Raycaster,
  target?: Intersection[],
  ): Intersection[]

  #### Parameters

  - raycaster: Raycaster
  - `Optional` target: Intersection[]

  #### Returns Intersection[]

  - Defined in lib/five/model/tile3d/index.ts:326

### llaToLocal

- llaToLocal(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:833

### llaToWorld

- llaToWorld(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:857

### loadAllTilesets

- loadAllTilesets(): Promise<void>

  #### Returns Promise<void>

  - Defined in lib/five/model/tile3d/index.ts:292

### loadContent

- loadContent(tile: Tile): Promise<void>

  #### Parameters

  - tile: Tile

  #### Returns Promise<void>

  - Defined in lib/five/model/tile3d/index.ts:262

### loadTrajectory

- loadTrajectory(trajectory: Trajectory): Promise<void>

  #### Parameters

  - trajectory: Trajectory

  #### Returns Promise<void>

  - Defined in lib/five/model/tile3d/index.ts:309

### localToEcef

- localToEcef(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:821

### localToEnu

- localToEnu(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:805

### localToLla

- localToLla(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:829

### resetBrightness

- resetBrightness(): void

  #### Returns void

  #### Deprecated

  Use `.parameter.reset('brightness')` instead

  - Defined in lib/five/model/tile3d/index.ts:905

### unloadContent

- unloadContent(tile: Tile): Promise<void>

  #### Parameters

  - tile: Tile

  #### Returns Promise<void>

  - Defined in lib/five/model/tile3d/index.ts:287

### unloadTrajectory

- unloadTrajectory(trajectory: Trajectory): Promise<void>

  #### Parameters

  - trajectory: Trajectory

  #### Returns Promise<void>

  - Defined in lib/five/model/tile3d/index.ts:321

### update

- update(
  renderer: WebGLRenderer,
  camera: Camera,
  modelScene: ModelScene,
  model: Model,
  ): boolean

  #### Parameters

  - renderer: WebGLRenderer
  - camera: Camera
  - modelScene: ModelScene
  - model: Model

  #### Returns boolean

  - Defined in lib/five/model/tile3d/index.ts:402

### worldPointToCoordinates

- worldPointToCoordinates(
  point: Vector3,
  ): { altitude: number; latitude: number; longitude: number }

  #### Parameters

  - point: Vector3

  #### Returns { altitude: number; latitude: number; longitude: number }

  #### Deprecated

  使用 llaToWorld 替代

  - Defined in lib/five/model/tile3d/index.ts:895

### worldToEcef

- worldToEcef(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:845

### worldToEnu

- worldToEnu(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:837

### worldToLla

- worldToLla(vector: Vector3): Vector3

  #### Parameters

  - vector: Vector3

  #### Returns Vector3

  - Defined in lib/five/model/tile3d/index.ts:853